extends Node2D

onready var global: Node = get_node("/root/Global")

func _on_Hole_item_used(item_id):
	if global.game_vars.has("rec_cartridge_used"):
		return
	var inv = global.inventory
	if item_id == inv.Items.rec_cartridge:
		if inv.remove_item(item_id):
			#var anim: AnimationPlayer = global.player.animation_player
			#anim.play("Victory")
			global.game_vars["rec_cartridge_used"] = true
			global.load_room_scene("res://Rooms/Finale/Finale.tscn")
